$layoutName: 'demo-project';

//== bootstrap 4 ===========================
@import 'variables';
@import 'bootstrap/bootstrap';
@import 'bootstrap/bootstrap-helper';

//== fonts =================================
@import "bootstrap/font-awesome";
@import 'mixins/generic';
@import 'mixins/fonts';

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,600&display=swap');

//== misc ==================================
@import 'rte-styles';
@import 'plugins/fluid-styled-content';

//== ui ====================================
@import 'ui/cookie-consentbar';
//@import 'ui/flexslider/flexslider';
//@import 'ui/slick-slider';
@import 'ui/owl-carousel/owl.carousel';

//== navigation ============================
@import 'navigation/_header';
@import 'navigation/_footer';

//== sections ==============================
@import 'sections/stage-header-slider';

@import 'sections/container-twocolumns';
@import 'sections/content-slider';

//== widgets ===============================
@import 'widgets/socialmedia';


//== page body =============================
body {
  color: #181818;
  background: #fff;
  font-family: 'Open Sans', sans-serif;
  font-size: 1rem;

  & > .page--wrapper {
    // Parallax like effekt with sticky-footer
    position: relative;
    z-index: 1;
    height: 100vh;
    // Parallax end

    color: #181818;
    background: #fff;

    // Smoother after wrapper-container
    &::after {
      $height: 3px;
      content: '';
      position: absolute;
      z-index: 1;
      bottom: ($height*-1);
      width: 100%;
      height: $height;
      background-image: linear-gradient(to top, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
    }
  }


  //== page content ==========================
  main.page--container {
    position: relative;
    @extend .justify-content-center;
    @include make-container();
  }


  //== page footer ===========================
  footer.page--container {
    //position: relative; // <-- Sticky CookieBar!
    @extend .justify-content-center;
    @include make-container();

    &.sticky--footer {
      position: fixed;
      bottom: 0;
      z-index: 0;
    }

    margin-top: 8rem;
    padding: 0;
    background: #fff;

    & > .footer-dark {
      min-height: 100px;
      color: #fff;
      background: #181818;

      padding: 0 15px;
    }
  }
}
